Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.solver.recaller
Class BestSolutionRecaller

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.phase.event.PhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.solver.recaller.BestSolutionRecaller

All Implemented Interfaces:
  EventListener, PhaseLifecycleListener, SolverLifecycleListener

    public class BestSolutionRecaller

extends PhaseLifecycleListenerAdapter

A BestSolutionRecaller remembers the best solution that a `Solver` encounters.

Field Summary
`protected boolean` | `assertBestScoreIsUnmodified`
`protected org.slf4j.Logger` | `logger`
`protected SolverEventSupport` | `solverEventSupport`

Constructor Summary
`BestSolutionRecaller()`

Method Summary
`void` | `processWorkingSolutionDuringMove(int uninitializedVariableCount, Score score, AbstractStepScope stepScope)`
`void` | `processWorkingSolutionDuringStep(AbstractStepScope stepScope)`
`void` | `setAssertBestScoreIsUnmodified(boolean assertBestScoreIsUnmodified)`
`void` | `setSolverEventSupport(SolverEventSupport solverEventSupport)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `updateBestSolution(DefaultSolverScope solverScope, Solution solution, int uninitializedVariableCount)`

Methods inherited from class org.optaplanner.core.impl.phase.event.PhaseLifecycleListenerAdapter
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### assertBestScoreIsUnmodified

    protected boolean assertBestScoreIsUnmodified

### solverEventSupport

    protected SolverEventSupport solverEventSupport

Constructor Detail

### BestSolutionRecaller

    public BestSolutionRecaller()

Method Detail

### setAssertBestScoreIsUnmodified

    public void setAssertBestScoreIsUnmodified(boolean assertBestScoreIsUnmodified)

### setSolverEventSupport

    public void setSolverEventSupport(SolverEventSupport solverEventSupport)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `SolverLifecycleListenerAdapter`

### processWorkingSolutionDuringStep

    public void processWorkingSolutionDuringStep(AbstractStepScope stepScope)

### processWorkingSolutionDuringMove

    public void processWorkingSolutionDuringMove(int uninitializedVariableCount,
                                                 Score score,
                                                 AbstractStepScope stepScope)

### updateBestSolution

    public void updateBestSolution(DefaultSolverScope solverScope,
                                   Solution solution,
                                   int uninitializedVariableCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.